Package org.eclipse.emf.cdo.common.lock

# Interface IDurableLockingManager.LockArea.Handler

All Known Subinterfaces:
  `CDOReplicationContext`, `InternalFailoverParticipant`, `InternalSynchronizableRepository`

Enclosing interface:
  `IDurableLockingManager.LockArea`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface IDurableLockingManager.LockArea.Handler
A call-back interface for handling `lock area` objects.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`boolean`
`handleLockArea(IDurableLockingManager.LockArea area)`

## Method Details

### handleLockArea

boolean handleLockArea(IDurableLockingManager.LockArea area)